/* eslint no-param-reassign: 0 */
import { isArray, reduce } from 'lodash';
import { getSettledDisplay } from './getDisplay';
import normalizeCallDisplayArguments from './normalizeCallDisplayArguments';
export function flowSettledDisplays(settledDisplays) {
    return (value, record, key) => {
        return reduce(settledDisplays, (prevValue, settledDisplay) => {
            return settledDisplay(prevValue, record, key);
        }, value);
    };
}
export default function callDisplays(callDisplayArguments) {
    if (isArray(callDisplayArguments)) {
        const settledDisplays = callDisplayArguments
            .map(normalizeCallDisplayArguments)
            .map((args) => getSettledDisplay(args));
        return flowSettledDisplays(settledDisplays);
    }
    const normalizedArgs = normalizeCallDisplayArguments(callDisplayArguments);
    return getSettledDisplay(normalizedArgs);
}
