import { isString } from 'lodash';
import { displayStorage, invariant, isDisplay } from './kit';
import createDisplay from './createDisplay';
function defineDisplay(type, ...createDisplayArguments) {
    invariant(isString(type) && type.length, '`defineDisplay` 参数 type 必须为非空字符串');
    // es 模块会报错
    // invariant(!displayStorage(type), `类型为 \`${type}\` 的 display 已定义`);
    const display = isDisplay(createDisplayArguments[0])
        ? createDisplayArguments[0]
        : // eslint-disable-next-line prefer-spread
            createDisplay.apply(null, createDisplayArguments);
    displayStorage(type, display);
    return display;
}
export default defineDisplay;
