import { isString, identity, isFunction } from 'lodash';
import { displayStorage, isDisplay, warning } from './kit';
function getDisplay(type) {
    if (isDisplay(type)) {
        return type;
    }
    if (isString(type)) {
        return displayStorage(type);
    }
    return undefined;
}
export function getSettledDisplay(normalizedCallDisplayArgument, defaultDisplay = identity) {
    const { type } = normalizedCallDisplayArgument;
    const display = getDisplay(type);
    if (!display) {
        warning(false, `type 为 \`${type}\` 的 display 尚未注册`);
        if (isFunction(defaultDisplay)) {
            return defaultDisplay;
        }
        return identity;
    }
    return display.settle(normalizedCallDisplayArgument);
}
export default getDisplay;
