import invariant from 'invariant';
import warning from 'warning';
import { ensureObject } from '../utils';
import { setMutable, getMutable } from '../runtime';
export { invariant, warning };
export const DISPLAY = '__BF_CORE_SYMBOL_bfDisplay__';
export const DEFAULT_DISPLAY_PARAM_KEY = '__BF_CORE_SYMBOL_bfDisplayDefaultParamKey__';
const DISPLAY_STORAGE_MUTABLE_KEY = '__BF_CORE_SYMBOL_bfDisplayStorage__';
export function displayStorage(type, display) {
    const currentDefinedDisplays = getMutable(DISPLAY_STORAGE_MUTABLE_KEY) || {};
    if (!display) {
        return type ? currentDefinedDisplays[type] : currentDefinedDisplays;
    }
    currentDefinedDisplays[type] = display;
    setMutable(DISPLAY_STORAGE_MUTABLE_KEY, currentDefinedDisplays);
    return undefined;
}
export function isDisplay(display) {
    return !!(display && display[DISPLAY]);
}
export { ensureObject };
