/* eslint-disable prefer-destructuring */
import { isArray, isPlainObject, isString, omit } from 'lodash';
import { ensureFirstSlash, isAbsoluteUrl } from '../../utils';
function normalizeDsArguments(...args) {
    let dsPath = '';
    let params;
    let config;
    if (isString(args[0])) {
        dsPath = args[0];
        params = args[1];
        config = args[2];
    }
    else if (isArray(args[0])) {
        dsPath = args[0][0];
        params = args[0][1];
        config = args[0][2] || args[1];
    }
    else if (isPlainObject(args[0])) {
        dsPath = args[0].dsPath;
        params = args[0].params;
        config = args[0];
    }
    return {
        dsPath: isAbsoluteUrl(dsPath) ? dsPath : ensureFirstSlash(dsPath),
        params: params || {},
        config: omit(config || {}, ['dsPath', 'params']),
    };
}
export default normalizeDsArguments;
