import { get } from 'lodash';
import * as MUTABLES from './Mutables';
const coreSymbol = '__BF_CORE_SYMBOL_CONFIG__';
const scope = Object.assign(typeof window === 'object' ? window : {}, {
    [coreSymbol]: Object.assign(Object.assign({}, MUTABLES), get(window, coreSymbol)),
});
export function setMutable(name, value) {
    try {
        scope[coreSymbol][name] = value;
    }
    catch (err) {
        throw new Error(`【bf-core】设置全局变量失败：${name}`);
    }
}
export function getMutable(name) {
    try {
        return scope[coreSymbol][name];
    }
    catch (err) {
        return get(MUTABLES, name);
    }
}
export function config(key, ...args) {
    if (args.length === 0) {
        return getMutable(key);
    }
    setMutable(key, args[0]);
    return undefined;
}
