import moment from 'moment';
export function momentInstanceToString(momentObject, format = 'YYYY-MM-DD') {
    return momentObject.format(format);
}
export function stringToMomentInstance(str, format = 'YYYY-MM-DD') {
    return moment(str, format);
}
export function momentInstanceToTimestamp(momentObject) {
    return momentObject.valueOf();
}
export function timestampToMomentInstance(timestamp) {
    return moment(+timestamp);
}
export function isMomentInstance(value) {
    return moment.isMoment(value);
}
export function timestampToString(timestamp, format = 'YYYY-MM-DD', formatNaN) {
    const m = moment(+timestamp);
    if (!m.isValid()) {
        if (typeof formatNaN === 'function') {
            return formatNaN(timestamp);
        }
        return null;
    }
    return m.local().format(format);
}
