import { isFunction } from 'lodash';
import getValueFromEvent from './getValueFromEvent';
/**
 * 绑定事件 handle 到 action
 *
 * @param action
 * @param args
 * @example
 * <a onClick="toAction(this.props.clickEdit, id)">
 */
export default function toAction(action, ...args) {
    return (e) => {
        if (e && isFunction(e.preventDefault)) {
            e.preventDefault();
        }
        if (e && isFunction(e.stopPropagation)) {
            e.stopPropagation();
        }
        if (isFunction(action)) {
            action(...args, getValueFromEvent(e));
        }
        return false;
    };
}
