import { reduce } from 'lodash';
/**
 * 将 kv map 对象转换为对象数组
 *
 * @param obj
 * @param keyField
 * @param valueField
 * @return
 * @example
 * mapObjectToObjectArray({ lilei: 18, hanmeimei: 19}, 'name', 'age');
 * // => [{ name: 'lilei', age: 18 }, { name: 'hanmeimei', age: 19 }];
 */
export default function mapObjectToObjectArray(obj, keyField, valueField) {
    return reduce(obj, (p, v, k) => [...p, { [keyField]: k, [valueField]: v }], []);
}
