import { identity, isArray, get } from 'lodash';
/**
 * 遍历数组，如果元素是对象，则会根据 `childrenKey` 的值进行递归遍历数组
 * @param array
 * @param iteratee
 * @param childrenKey
 * @return
 */
export default function traverseMapArray(array, iteratee = identity, childrenKey = 'children') {
    return array.reduce((p, v, i) => {
        p.push(iteratee(v, i));
        if (childrenKey && isArray(get(v, childrenKey))) {
            p = p.concat(traverseMapArray(get(v, childrenKey), iteratee, childrenKey));
        }
        return p;
    }, []);
}
