import { reduce } from 'lodash';
import React from 'react';
/**
 * 用 ReactElement 来拼接数组中的元素
 */
export default function joinByComponent(array, joinElement, emptyDefaultValue = []) {
    if (!Array.isArray(array) || !array.length) {
        return emptyDefaultValue;
    }
    function getElementWithKey(element, validElement, computedKey) {
        if (!validElement) {
            return element;
        }
        return React.cloneElement(element, {
            key: computedKey,
        });
    }
    const len = array.length;
    const joinElementIsValidElement = React.isValidElement(joinElement);
    return reduce(array, (p, op, i) => {
        const nextOp = getElementWithKey(op, false, i);
        if (i === len - 1) {
            return [...p, nextOp];
        }
        const separator = getElementWithKey(joinElement, joinElementIsValidElement, `@bfsp_${i}`);
        return [...p, nextOp, separator];
    }, []);
}
