import { cloneDeep, forEach } from 'lodash';
import vget from '../operations/vget';
import vset from '../operations/vset';
/**
 * 在 vpath 位置上替换值，返回新对象
 * 与 vset 不同之处在于，参数 value 为一个函数，接受旧值，返回新值
 */
export default function vReplace(target, replacer) {
    let nextObject = cloneDeep(target);
    forEach(replacer, (replace, vpath) => {
        if (typeof replace !== 'function') {
            return;
        }
        const prevValue = vget(target, vpath);
        const nextValue = replace(prevValue);
        nextObject = vset(nextObject, vpath, nextValue);
    });
    return nextObject;
}
