import { isPlainObject, toPath } from 'lodash';
import parseVpath from '../parse/parseVpath';
function isValidVDataTarget(target) {
    return isPlainObject(target) || Array.isArray(target);
}
/**
 * 将 vpath 转换为 lodash path
 * 如果参数 target 非对象或数组会直接当做 lodash path
 */
export default function vToPath(vpath, target) {
    if (!isValidVDataTarget(target)) {
        return toPath(vpath).join('.');
    }
    const { lodashPath } = parseVpath(target, vpath);
    return lodashPath.join('.');
}
