import { get, cloneDeep, unset } from 'lodash';
import parseVpath from '../parse/parseVpath';
/**
 * 删除 vpath 位置上的数据，返回新对象。
 */
export default function vdelete(target, vpath) {
    target = cloneDeep(target);
    const { lodashPath, lastIsInArray, parentPath, lastPath } = parseVpath(target, vpath);
    // cannot use unset when target is array
    if (lastIsInArray) {
        const parentArr = parentPath.length ? get(target, parentPath) : target;
        parentArr.splice(lastPath, 1);
    }
    else {
        // object case
        unset(target, lodashPath);
    }
    return target;
}
