import { get } from 'lodash';
import { replaceChildNode } from 'bf-utils';
import parseVpath from '../parse/parseVpath';
/**
 * 在 vpath 位置进行 assign `merged` 对象，返回新对象。
 */
export default function vmerge(target, vpath, merged) {
    const { path } = parseVpath(target, vpath);
    if (!path) {
        return !vpath
            ? Object.assign(Object.assign({}, target), merged) : target;
    }
    const oldValue = get(target, path);
    return replaceChildNode(target, path, Object.assign(Object.assign({}, oldValue), merged));
}
