import { replaceChildNode } from 'bf-utils';
import parseVpath from '../parse/parseVpath';
/**
 * 在对象的 vpath 位置上设置值。不同于 lodash.set 方法的是：
 * 1. 不会修改原对象，只会返回新对象。
 * 2. 若不存在位置，不会自动创建值。
 */
export default function vset(target, vpath, value) {
    const { path, lodashPath } = parseVpath(target, vpath);
    if (!path) {
        if (lodashPath && lodashPath.length) {
            return replaceChildNode(target, lodashPath, value);
        }
        return target;
    }
    return replaceChildNode(target, lodashPath, value);
}
