"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.flowSettledDisplays = void 0;
/* eslint no-param-reassign: 0 */
const lodash_1 = require("lodash");
const getDisplay_1 = require("./getDisplay");
const normalizeCallDisplayArguments_1 = __importDefault(require("./normalizeCallDisplayArguments"));
function flowSettledDisplays(settledDisplays) {
    return (value, record, key) => {
        return lodash_1.reduce(settledDisplays, (prevValue, settledDisplay) => {
            return settledDisplay(prevValue, record, key);
        }, value);
    };
}
exports.flowSettledDisplays = flowSettledDisplays;
function callDisplays(callDisplayArguments) {
    if (lodash_1.isArray(callDisplayArguments)) {
        const settledDisplays = callDisplayArguments
            .map(normalizeCallDisplayArguments_1.default)
            .map((args) => getDisplay_1.getSettledDisplay(args));
        return flowSettledDisplays(settledDisplays);
    }
    const normalizedArgs = normalizeCallDisplayArguments_1.default(callDisplayArguments);
    return getDisplay_1.getSettledDisplay(normalizedArgs);
}
exports.default = callDisplays;
