"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const lodash_1 = require("lodash");
const kit_1 = require("./kit");
const createDisplay_1 = __importDefault(require("./createDisplay"));
function defineDisplay(type, ...createDisplayArguments) {
    kit_1.invariant(lodash_1.isString(type) && type.length, '`defineDisplay` 参数 type 必须为非空字符串');
    // es 模块会报错
    // invariant(!displayStorage(type), `类型为 \`${type}\` 的 display 已定义`);
    const display = kit_1.isDisplay(createDisplayArguments[0])
        ? createDisplayArguments[0]
        : // eslint-disable-next-line prefer-spread
            createDisplay_1.default.apply(null, createDisplayArguments);
    kit_1.displayStorage(type, display);
    return display;
}
exports.default = defineDisplay;
