"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSettledDisplay = void 0;
const lodash_1 = require("lodash");
const kit_1 = require("./kit");
function getDisplay(type) {
    if (kit_1.isDisplay(type)) {
        return type;
    }
    if (lodash_1.isString(type)) {
        return kit_1.displayStorage(type);
    }
    return undefined;
}
function getSettledDisplay(normalizedCallDisplayArgument, defaultDisplay = lodash_1.identity) {
    const { type } = normalizedCallDisplayArgument;
    const display = getDisplay(type);
    if (!display) {
        kit_1.warning(false, `type 为 \`${type}\` 的 display 尚未注册`);
        if (lodash_1.isFunction(defaultDisplay)) {
            return defaultDisplay;
        }
        return lodash_1.identity;
    }
    return display.settle(normalizedCallDisplayArgument);
}
exports.getSettledDisplay = getSettledDisplay;
exports.default = getDisplay;
