"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ensureObject = exports.isDisplay = exports.displayStorage = exports.DEFAULT_DISPLAY_PARAM_KEY = exports.DISPLAY = exports.warning = exports.invariant = void 0;
const invariant_1 = __importDefault(require("invariant"));
exports.invariant = invariant_1.default;
const warning_1 = __importDefault(require("warning"));
exports.warning = warning_1.default;
const utils_1 = require("../utils");
Object.defineProperty(exports, "ensureObject", { enumerable: true, get: function () { return utils_1.ensureObject; } });
const runtime_1 = require("../runtime");
exports.DISPLAY = '__BF_CORE_SYMBOL_bfDisplay__';
exports.DEFAULT_DISPLAY_PARAM_KEY = '__BF_CORE_SYMBOL_bfDisplayDefaultParamKey__';
const DISPLAY_STORAGE_MUTABLE_KEY = '__BF_CORE_SYMBOL_bfDisplayStorage__';
function displayStorage(type, display) {
    const currentDefinedDisplays = runtime_1.getMutable(DISPLAY_STORAGE_MUTABLE_KEY) || {};
    if (!display) {
        return type ? currentDefinedDisplays[type] : currentDefinedDisplays;
    }
    currentDefinedDisplays[type] = display;
    runtime_1.setMutable(DISPLAY_STORAGE_MUTABLE_KEY, currentDefinedDisplays);
    return undefined;
}
exports.displayStorage = displayStorage;
function isDisplay(display) {
    return !!(display && display[exports.DISPLAY]);
}
exports.isDisplay = isDisplay;
