"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
/* eslint prefer-arrow-callback: 0 */
const lodash_1 = require("lodash");
const createDisplay_1 = __importDefault(require("./createDisplay"));
const kit_1 = require("./kit");
/**
 * 统一化调用 display 的参数
 */
function normalizeCallDisplayArguments(arg) {
    let params;
    // [type, defaultParams]
    if (lodash_1.isArray(arg)) {
        params = {
            type: arg[0],
        };
        if (arg.length > 1) {
            // eslint-disable-next-line prefer-destructuring
            params[kit_1.DEFAULT_DISPLAY_PARAM_KEY] = arg[1];
        }
    }
    else if (lodash_1.isString(arg)) {
        params = {
            type: arg,
        };
    }
    else if (lodash_1.isPlainObject(arg)) {
        params = arg;
    }
    else if (lodash_1.isFunction(arg)) {
        params = {
            type: createDisplay_1.default(function wrapFnDisplay(value, _, displayCtx) {
                const { record, recordKey } = displayCtx;
                return arg(value, record, recordKey);
            }),
        };
    }
    kit_1.invariant(params &&
        ((lodash_1.isString(params.type) && params.type.length) ||
            lodash_1.isFunction(params.type)), '参数 `type` 必须为非空字符串');
    return params;
}
exports.default = normalizeCallDisplayArguments;
