"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/* eslint-disable prefer-destructuring */
const lodash_1 = require("lodash");
const utils_1 = require("../../utils");
function normalizeDsArguments(...args) {
    let dsPath = '';
    let params;
    let config;
    if (lodash_1.isString(args[0])) {
        dsPath = args[0];
        params = args[1];
        config = args[2];
    }
    else if (lodash_1.isArray(args[0])) {
        dsPath = args[0][0];
        params = args[0][1];
        config = args[0][2] || args[1];
    }
    else if (lodash_1.isPlainObject(args[0])) {
        dsPath = args[0].dsPath;
        params = args[0].params;
        config = args[0];
    }
    return {
        dsPath: utils_1.isAbsoluteUrl(dsPath) ? dsPath : utils_1.ensureFirstSlash(dsPath),
        params: params || {},
        config: lodash_1.omit(config || {}, ['dsPath', 'params']),
    };
}
exports.default = normalizeDsArguments;
