"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MONEY_PRESET_UNIT_CENT = exports.TEXT_DANGER_COLOR = exports.FORMAT_BOOLEAN_TO_STRING_FALSE = exports.FORMAT_BOOLEAN_TO_STRING_TRUE = exports.TABLE_MORE_OVERLAY_CLASSNAME = exports.TABLE_DEFAULT_LOAD_FAIL_MESSAGE = exports.TIME_FORMAT = exports.DATE_MONTH_FORMAT = exports.DATE_FORMAT = exports.DS_ON_REQUEST_END = exports.DS_ON_REQUEST_START = exports.DS_UNAUTHORIZED_CALLBACK = exports.DS_DEFAULT_ERROR_MESSAGE = exports.DS_CUSTOM_HEADERS_RESOLVER = exports.DS_PREFIX_RESOLVER = exports.DS_PREFIX = void 0;
/**
 * ds 请求 URL 的前缀
 *
 * @example
 * ds('/ds/user/get') // POST /ds/user/get
 * config('DS_PREFIX', '/ds')
 * ds('/user/get') // POST /ds/user/get
 */
exports.DS_PREFIX = '/ds';
/**
 * ds 请求解析 URL 前缀
 *
 * @note 设置值时将忽略 DS_PREFIX 配置
 * @example
 * config('DS_PREFIX_RESOLVER', { '/user': 'http://example.com/api/user' })
 * ds('/user/get') // POST http://example.com/api/user/get
 */
exports.DS_PREFIX_RESOLVER = undefined;
/**
 * ds 请求设置自定义请求 headers
 *
 * @example
 * config('DS_CUSTOM_HEADERS_RESOLVER', (url) => ({ swimlane: 'DEV' }))
 */
exports.DS_CUSTOM_HEADERS_RESOLVER = undefined;
/**
 * ds 请求失败（ HTTP 错误 ）的错误消息
 */
exports.DS_DEFAULT_ERROR_MESSAGE = '服务器错误';
/**
 * ds 接到 401 的处理方法，返回值将作为错误消息
 */
exports.DS_UNAUTHORIZED_CALLBACK = (_) => {
    // eslint-disable-next-line no-self-assign
    window.location = window.location;
    return '';
};
/**
 * 在 ds 请求开始时执行回调
 * @deprecated
 */
exports.DS_ON_REQUEST_START = undefined;
/**
 * 在 ds 请求完成执行回调
 * @deprecated
 */
exports.DS_ON_REQUEST_END = undefined;
/**
 * 格式化成日期字符串的格式
 * 格式参考 https://momentjs.com/docs/
 */
exports.DATE_FORMAT = 'YYYY-MM-DD';
/**
 * 格式化成日期字符串的格式，日期精确到月
 * 格式参考 https://momentjs.com/docs/
 */
exports.DATE_MONTH_FORMAT = 'YYYY-MM';
/**
 * 格式化成时间字符串的格式
 * 格式参考 https://momentjs.com/docs/
 */
exports.TIME_FORMAT = 'YYYY-MM-DD HH:mm:ss';
/**
 * 表格加载失败的文案
 */
exports.TABLE_DEFAULT_LOAD_FAIL_MESSAGE = '加载失败';
/**
 * 报表操作项更多的样式名
 */
exports.TABLE_MORE_OVERLAY_CLASSNAME = 'table-more-operation';
/**
 * 将布尔真值格式化成的内容
 */
exports.FORMAT_BOOLEAN_TO_STRING_TRUE = '1';
/**
 * 将布尔假值格式化成的内容
 */
exports.FORMAT_BOOLEAN_TO_STRING_FALSE = '0';
/**
 * 文字或链接为警告色的颜色色值
 */
exports.TEXT_DANGER_COLOR = '#f04134';
/**
 * 预格式化金额时，金额的单位为“分”，而非默认的元
 */
exports.MONEY_PRESET_UNIT_CENT = false;
