"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.timestampToString = exports.isMomentInstance = exports.timestampToMomentInstance = exports.momentInstanceToTimestamp = exports.stringToMomentInstance = exports.momentInstanceToString = void 0;
const moment_1 = __importDefault(require("moment"));
function momentInstanceToString(momentObject, format = 'YYYY-MM-DD') {
    return momentObject.format(format);
}
exports.momentInstanceToString = momentInstanceToString;
function stringToMomentInstance(str, format = 'YYYY-MM-DD') {
    return moment_1.default(str, format);
}
exports.stringToMomentInstance = stringToMomentInstance;
function momentInstanceToTimestamp(momentObject) {
    return momentObject.valueOf();
}
exports.momentInstanceToTimestamp = momentInstanceToTimestamp;
function timestampToMomentInstance(timestamp) {
    return moment_1.default(+timestamp);
}
exports.timestampToMomentInstance = timestampToMomentInstance;
function isMomentInstance(value) {
    return moment_1.default.isMoment(value);
}
exports.isMomentInstance = isMomentInstance;
function timestampToString(timestamp, format = 'YYYY-MM-DD', formatNaN) {
    const m = moment_1.default(+timestamp);
    if (!m.isValid()) {
        if (typeof formatNaN === 'function') {
            return formatNaN(timestamp);
        }
        return null;
    }
    return m.local().format(format);
}
exports.timestampToString = timestampToString;
