"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const lodash_1 = require("lodash");
const getValueFromEvent_1 = __importDefault(require("./getValueFromEvent"));
/**
 * 绑定事件 handle 到 action
 *
 * @param action
 * @param args
 * @example
 * <a onClick="toAction(this.props.clickEdit, id)">
 */
function toAction(action, ...args) {
    return (e) => {
        if (e && lodash_1.isFunction(e.preventDefault)) {
            e.preventDefault();
        }
        if (e && lodash_1.isFunction(e.stopPropagation)) {
            e.stopPropagation();
        }
        if (lodash_1.isFunction(action)) {
            action(...args, getValueFromEvent_1.default(e));
        }
        return false;
    };
}
exports.default = toAction;
