"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const lodash_1 = require("lodash");
/**
 * 将 kv map 对象转换为对象数组
 *
 * @param obj
 * @param keyField
 * @param valueField
 * @return
 * @example
 * mapObjectToObjectArray({ lilei: 18, hanmeimei: 19}, 'name', 'age');
 * // => [{ name: 'lilei', age: 18 }, { name: 'hanmeimei', age: 19 }];
 */
function mapObjectToObjectArray(obj, keyField, valueField) {
    return lodash_1.reduce(obj, (p, v, k) => [...p, { [keyField]: k, [valueField]: v }], []);
}
exports.default = mapObjectToObjectArray;
