"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const bf_utils_1 = require("bf-utils");
const renamePick_1 = __importDefault(require("./renamePick"));
/**
 * 从对象数组中提取指定的字段的对象组成新的数组，可以对属性名进行改名
 *
 * @example
 * const arr = [{a: 11, b: 12, c: 13}, {a: 21, b: '22'}];
 * renamePickByArray(arr, ['a', ['b', 'd']])
 * // => [{ a: 11, d: 12}, { a: 21, d: 22 }]
 */
function renamePickByArray(arr, paths) {
    return bf_utils_1.ensureArray(arr).map((obj) => renamePick_1.default(obj, paths));
}
exports.default = renamePickByArray;
