"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const lodash_1 = require("lodash");
/**
 * 遍历数组，如果元素是对象，则会根据 `childrenKey` 的值进行递归遍历数组
 * @param array
 * @param iteratee
 * @param childrenKey
 * @return
 */
function traverseMapArray(array, iteratee = lodash_1.identity, childrenKey = 'children') {
    return array.reduce((p, v, i) => {
        p.push(iteratee(v, i));
        if (childrenKey && lodash_1.isArray(lodash_1.get(v, childrenKey))) {
            p = p.concat(traverseMapArray(lodash_1.get(v, childrenKey), iteratee, childrenKey));
        }
        return p;
    }, []);
}
exports.default = traverseMapArray;
