"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
function useVisibleEffect(visible, onVisible, onInvisible) {
    const visibleRef = react_1.useRef(false);
    react_1.useEffect(() => {
        if (!!visibleRef.current === !!visible) {
            return;
        }
        if (!visibleRef.current && visible && typeof onVisible === 'function') {
            onVisible();
        }
        if (visibleRef.current && !visible && typeof onInvisible === 'function') {
            onInvisible();
        }
        visibleRef.current = visible;
    }, [onInvisible, onVisible, visible]);
}
exports.default = useVisibleEffect;
