"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const lodash_1 = require("lodash");
const react_1 = __importDefault(require("react"));
/**
 * 用 ReactElement 来拼接数组中的元素
 */
function joinByComponent(array, joinElement, emptyDefaultValue = []) {
    if (!Array.isArray(array) || !array.length) {
        return emptyDefaultValue;
    }
    function getElementWithKey(element, validElement, computedKey) {
        if (!validElement) {
            return element;
        }
        return react_1.default.cloneElement(element, {
            key: computedKey,
        });
    }
    const len = array.length;
    const joinElementIsValidElement = react_1.default.isValidElement(joinElement);
    return lodash_1.reduce(array, (p, op, i) => {
        const nextOp = getElementWithKey(op, false, i);
        if (i === len - 1) {
            return [...p, nextOp];
        }
        const separator = getElementWithKey(joinElement, joinElementIsValidElement, `@bfsp_${i}`);
        return [...p, nextOp, separator];
    }, []);
}
exports.default = joinByComponent;
