"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const lodash_1 = require("lodash");
const vget_1 = __importDefault(require("../operations/vget"));
const vset_1 = __importDefault(require("../operations/vset"));
/**
 * 在 vpath 位置上替换值，返回新对象
 * 与 vset 不同之处在于，参数 value 为一个函数，接受旧值，返回新值
 */
function vReplace(target, replacer) {
    let nextObject = lodash_1.cloneDeep(target);
    lodash_1.forEach(replacer, (replace, vpath) => {
        if (typeof replace !== 'function') {
            return;
        }
        const prevValue = vget_1.default(target, vpath);
        const nextValue = replace(prevValue);
        nextObject = vset_1.default(nextObject, vpath, nextValue);
    });
    return nextObject;
}
exports.default = vReplace;
