"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const lodash_1 = require("lodash");
const parseVpath_1 = __importDefault(require("../parse/parseVpath"));
function isValidVDataTarget(target) {
    return lodash_1.isPlainObject(target) || Array.isArray(target);
}
/**
 * 将 vpath 转换为 lodash path
 * 如果参数 target 非对象或数组会直接当做 lodash path
 */
function vToPath(vpath, target) {
    if (!isValidVDataTarget(target)) {
        return lodash_1.toPath(vpath).join('.');
    }
    const { lodashPath } = parseVpath_1.default(target, vpath);
    return lodashPath.join('.');
}
exports.default = vToPath;
