"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const lodash_1 = require("lodash");
const parseVpath_1 = __importDefault(require("../parse/parseVpath"));
/**
 * 删除 vpath 位置上的数据，返回新对象。
 */
function vdelete(target, vpath) {
    target = lodash_1.cloneDeep(target);
    const { lodashPath, lastIsInArray, parentPath, lastPath } = parseVpath_1.default(target, vpath);
    // cannot use unset when target is array
    if (lastIsInArray) {
        const parentArr = parentPath.length ? lodash_1.get(target, parentPath) : target;
        parentArr.splice(lastPath, 1);
    }
    else {
        // object case
        lodash_1.unset(target, lodashPath);
    }
    return target;
}
exports.default = vdelete;
