"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const lodash_1 = require("lodash");
const bf_utils_1 = require("bf-utils");
const parseVpath_1 = __importDefault(require("../parse/parseVpath"));
/**
 * 在 vpath 位置进行 assign `merged` 对象，返回新对象。
 */
function vmerge(target, vpath, merged) {
    const { path } = parseVpath_1.default(target, vpath);
    if (!path) {
        return !vpath
            ? Object.assign(Object.assign({}, target), merged) : target;
    }
    const oldValue = lodash_1.get(target, path);
    return bf_utils_1.replaceChildNode(target, path, Object.assign(Object.assign({}, oldValue), merged));
}
exports.default = vmerge;
