"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const bf_utils_1 = require("bf-utils");
const parseVpath_1 = __importDefault(require("../parse/parseVpath"));
/**
 * 在对象的 vpath 位置上设置值。不同于 lodash.set 方法的是：
 * 1. 不会修改原对象，只会返回新对象。
 * 2. 若不存在位置，不会自动创建值。
 */
function vset(target, vpath, value) {
    const { path, lodashPath } = parseVpath_1.default(target, vpath);
    if (!path) {
        if (lodashPath && lodashPath.length) {
            return bf_utils_1.replaceChildNode(target, lodashPath, value);
        }
        return target;
    }
    return bf_utils_1.replaceChildNode(target, lodashPath, value);
}
exports.default = vset;
