"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const lodash_1 = require("lodash");
const getVmatchPatternRex = () => {
    return /\[\s*(\w+)\s*=\s*(.+?)\s*\]/g;
};
function parseVpath(target, vpath) {
    const reVmatchPattern = getVmatchPatternRex();
    const inArrayIndexs = [];
    let parseFail = false;
    let lodashPath = [];
    let lastDealPathIndex = 0; // 最后已经处理成 lodash path 的 index
    let pItem;
    // eslint-disable-next-line no-cond-assign
    while ((pItem = reVmatchPattern.exec(vpath))) {
        // eslint-disable-line
        lodashPath = lodashPath.concat(lodash_1.toPath(vpath.substring(lastDealPathIndex, pItem.index)));
        lastDealPathIndex = pItem.index + pItem[0].length + 1;
        const findKey = pItem[1];
        const matchValue = pItem[2];
        const currentData = lodashPath.length ? lodash_1.get(target, lodashPath) : target;
        if (!lodash_1.isArray(currentData)) {
            parseFail = true;
            break;
        }
        const dataIndex = currentData.findIndex((o) => lodash_1.toString(lodash_1.get(o, findKey)) === lodash_1.toString(matchValue));
        if (dataIndex === -1) {
            parseFail = true;
            break;
        }
        inArrayIndexs.push(lodashPath.length);
        lodashPath.push(dataIndex);
    }
    if (lodashPath) {
        lodashPath = lodashPath.concat(lodash_1.toPath(vpath.substring(lastDealPathIndex, vpath.length)));
    }
    const hasVpath = !!inArrayIndexs.length;
    return {
        parseFail,
        lodashPath,
        inArrayIndexs,
        // is `vpath` has `vmatchPattern`
        hasVpath,
        get path() {
            return hasVpath ? lodashPath : false;
        },
        get lastIsInArray() {
            return hasVpath && inArrayIndexs.indexOf(lodashPath.length - 1) !== -1;
        },
        get parentPath() {
            return lodashPath.slice(0, lodashPath.length - 1);
        },
        get lastPath() {
            return lodashPath[lodashPath.length - 1];
        },
    };
}
exports.default = parseVpath;
