"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const lodash_1 = require("lodash");
const getRevpathRex = () => {
    return /^\s*(\w+)\s*=\s*(.+)\s*$/g;
};
function parseVpathPattern(pattern) {
    const reVpath = getRevpathRex();
    const match = reVpath.exec(lodash_1.toPath(pattern)[0]);
    if (!match) {
        return null;
    }
    return {
        key: match[1],
        value: match[2],
        source: match[0],
    };
}
exports.default = parseVpathPattern;
