import { AnyPlainObject } from '../types';
export declare const DISPLAY = "";
export interface DisplayRegisterCtx {
    record: AnyPlainObject | undefined;
    recordKey: string | undefined;
}
export declare type DisplayRegister<T = any, P = any, R = T> = (value: T, params: P, ctx: DisplayRegisterCtx) => R;
export interface NormalizedCreateDisplayArgument {
    displayRegister: DisplayRegister;
    defaultParams: any;
    defaultParamKey?: string;
}
export interface NormalizedCallDisplayArgument {
    [key: string]: any;
    type: string | Display;
}
export declare type CallDisplayArguments = string | [string, AnyPlainObject] | AnyPlainObject | ((value: any, record: AnyPlainObject | undefined, recordKey: string | undefined) => NormalizedCallDisplayArgument);
export declare type CurriedDisplay = (params?: AnyPlainObject) => SettledDisplay;
export declare type SettledDisplay = (value?: any, record?: AnyPlainObject, key?: string | number) => any;
export declare type DisplayFn = (value: any, params: AnyPlainObject, record?: AnyPlainObject, key?: string | number) => any;
export interface Display extends DisplayFn {
    readonly settle: SettledDisplay;
    readonly curry: CurriedDisplay;
    readonly defaultParamKey?: string;
}
