import { OptionData } from '../types';
/**
 * 将数组转换为 [{ value, label }, ...] 形式，
 * 支持对象和对象数组两种形式
 *
 * @example
 * ```ts
 * toOptions({ a: 'A' }); // => [{ value: 'a', label: 'A' }]
 * toOptions([{ k: 'a', v: 'A' }], 'k', 'v'); // => [{ value: 'a', label: 'A' }]
 * ```
 */
declare function toOptions(source: Record<string, string | number>): OptionData[];
declare function toOptions(source: Record<string, any>[], valuePath: string, labelPath: string): OptionData[];
export default toOptions;
