/**
 * @example
 * const func1 = () => console.log('func1');
 * const func2 = () => console.log('func2');
 *
 * const getTransformer = createGetTransformer([[true, func1], [false, func2]])
 * getTransformer(true)()
 * // => 'func1'
 */
export default function condTransform<IV = any, OV = IV>(pairs: Array<[IV | ((value: IV) => boolean), OV]>, defaults?: OV): (value?: IV) => OV;
