import { AnyPlainObject } from '../../types';
/**
 * 类似 lodash.pick 的方法，但是可以对属性名进行改名
 *
 * @example
 * const obj = { a: 1, b: 2, c: 3 };
 * renamePick(obj, ['a', ['b', 'd']])
 * // => { a: 1, d: 2 }
 */
export default function renamePick(obj: AnyPlainObject, paths: string | Array<string | string[]>): Pick<Record<string, any>, string>;
