import { AnyPlainObject } from '../../types';
/**
 * 从对象数组中提取指定的字段的对象组成新的数组，可以对属性名进行改名
 *
 * @example
 * const arr = [{a: 11, b: 12, c: 13}, {a: 21, b: '22'}];
 * renamePickByArray(arr, ['a', ['b', 'd']])
 * // => [{ a: 11, d: 12}, { a: 21, d: 22 }]
 */
export default function renamePickByArray(arr: AnyPlainObject[], paths: Array<string | string[]>): Pick<Record<string, any>, string>[];
