import { Maybe } from '../../types';
declare const _default: {
    remove: <T = any>(array: Maybe<ArrayLike<T>>, index: number) => T[];
    removeOf: <T_1 = any>(array: Maybe<ArrayLike<T_1>>, value: T_1) => T_1[];
    /**
     * 删除数组里的值，返回删除后的数组
     */
    deleteOf: <T_1 = any>(array: Maybe<ArrayLike<T_1>>, value: T_1) => T_1[];
    /**
     * 在指定位置上添加值 `value`，若原位置值存在则替换原值，返回新数组
     */
    set: <T_2 = any>(array: Maybe<ArrayLike<T_2>>, index: number, value: T_2) => T_2[];
    /**
     * 获取指定位置上的值
     */
    get: <T_3 = any>(array: Maybe<ArrayLike<T_3>>, index: number, notSetValue?: T_3 | undefined) => T_3 | undefined;
    /**
     * 从数组中删除 index 的数据，返回新数组
     */
    delete: <T = any>(array: Maybe<ArrayLike<T>>, index: number) => T[];
    /**
     * 数组添加数据，返回新数组
     */
    push: <T_4 = any>(array: Maybe<ArrayLike<T_4>>, value: T_4) => T_4[];
    /**
     * 返回从左到右第一个找到值的 index，不存在返回 -1
     */
    indexOf: <T_5 = any>(array: Maybe<ArrayLike<T_5>>, searchValue: T_5) => number;
};
export default _default;
